Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004955opensim[GRID] Hypergridpublic2010-08-17 03:592010-08-22 13:45
Reporteraiaustin 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusnewResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0004955: Movement between hypergrid locations when one hyperjump fails causes viewer crashes or cannot teleport to home or HG locations
DescriptionUsing 0.7.0.1 post-fixes 13617 which now allows Hypergrid jumps between Openvue region on Openvue Grid and Gateway 3000 on UCI grid. Also tested return home, movement between home grid locatons afterwards, and multiple visits to Gateway 3000and onwards to UCI Gateway 7000, return to Gateway 300 and back home. All okay between these two Grids.

BUT... try to visit another grid (presumably not on lastest post-fixes - to be checked) such as secondlife://grid4us.net:8002/ [^] or secondlife://opensim.betatechnologies.info:8002/ [^]

It fails during teleport, while waiting with the viewer progress bar at the "Contacting new region" point. It leaves the user's avatar at the same point on the original region and gives a message "Could not teleport. Problems connecting to destination."

This is a typical log of a connection attempt as seen at the home grid end server console..

12:16:13 - [USER AGENT SERVICE]: Request to login user Ai Austin to grid opensim.betatechnologies.info:8002
12:16:13 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote sim http://64.150.191.205:8002/foreignagent/e24a9015-f5ca-452b-8c95d32e34cb9d64/ [^]
, region Beta Technologies, x=934400 y=934400
12:16:14 - [USER AGENT SERVICE]: Verifying agent token http://opensim.betatechnologies.info:8002;eeb80338-752b-4a32-bb65-27cb000c8d2e [^] against http://opensim.betatechnologies.info:8002;eeb80338-752b-4a32-bb65-27cb000c8d2e [^]
12:16:14 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"success":true}
12:16:15 - [USER AGENT SERVICE]: Verifying Client session 144ab1cc-d31e-412a-bb2c-6805e4923179 with token 77.97.225.199

But after that teleports to other regions inside the same grid can fail - and attempts to teleport can crash the viewer with it saying "region is no longer available".
Additional InformationTest environment to do some minimum checks...

Openvue region on Openvue Grid at 1000,1000 using OpenSim 0.7.0.1 (Post_Fixes)Win/.NET) (using 2010-08-16 r/13617 version)

Gateway 3000 region on UCI Grid at 3000,3000 using OpenSim 0.7.0.1 (Post_Fixes) (Unix/Mono)

One other test region. e.g. secondlife://grid4us.net:8002/ [^] or secondlife://opensim.betatechnologies.info:8002/ [^] (both within 4096,4096 of Openvue and UCI Gaweway 3000).

----------
This is related to symptoms that were described in relation to mantis issues http://opensimulator.org/mantis/view.php?id=4924 [^] and http://opensimulator.org/mantis/view.php?id=4954 [^] but those also had Hypergrid issues that were separately resolved. So trying to isolate the specific fault here.
TagsNo tags attached.
Git Revision or version number0.7.0.1 post-fixes
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows32
Mono VersionNone
Viewer
Attached Files

- Relationships
related to 0004943closedMarcelEdward hypergrid teleports fail from within nat network 

-  Notes
(0016451)
aiaustin (developer)
2010-08-17 04:38
edited on: 2010-08-17 05:07

Checking with owner of secondlife://opensim.betatechnologies.info:8002/ [^] what version they are on and if they can teleport back and forth with that version.

They note:

Everything worked flawlessly 12 hours ago, when I actually was
shooting a video. By "everything" I also mean getting inventory items
from your grid, HG-teleporting to a different grid, and rezzing them
there. The only thing I noticed that didn't work well was retrieving
your creator tag on the items (both old and new) retrieved from your
grid...

Current version on all our regions is Version: OpenSim 0.7.0.1(Release) (interface version 6)

(0016452)
aiaustin (developer)
2010-08-17 04:47

On these moivement attempts I am seeing a couple of yellow warnings in the OpenSim.exe console... examples are:

12:41:35 - [WORLD MAP]: Starting new remote request thread manually. This means that AvatarEnteringParcel never fired! This needs to be fixed! Don't Mantis this, as the developers can see it in this message
12:41:35 - [WORLD MAP]: Starting remote MapItem request thread
12:41:35 - [WATCHDOG]: Started tracking thread "MapItemRequestThread" (ID 136)

--------------------
12:41:25 - [LLUDPSERVER]: Ignoring a repeated UseCircuitCode from e24a9015-f5ca-452b-8c95-d32e34cb9d64 at 77.97.225.199:50055 for circuit 533113508

Where the UUID is my avatar, and the IP address is the machine I am running the viewer on (LL 1.23.5).
(0016453)
aiaustin (developer)
2010-08-17 07:50
edited on: 2010-08-17 07:51

On our viewers at work inside aiai.ed.ac.uk wwe are finding we cannot reach Gateway 3000 from Openvue.

It seems to give the same messages and fail at the same point reported before...at the "Contacting new region" point in the viewer.

Robust console at the point of failure says:

15:43:28 - [ENTITY TRANSFER MODULE]: Sending new CAPS seed url http://ucigrid04. [^]
nacs.uci.edu:9003/CAPS/b0f490e4-2493-4670-9765-76813629d70c0000/ to client 36ec9
c17-0cad-4b63-be1c-7f6297554a33

OpenSim console at the point of failure says:
15:44:29 - [USER AGENT SERVICE]: Verifying Client session c73bd6f8-436d-46d9-946
d-a287375b757f with token 129.215.219.83


129.215.219.83 is the fixed IP addres of the machine on which the viewer client is running for the avatar trying the tests.

Wheras at the same time and with the same OpenSim server setup (using r/13617) I can teleport fine from openvue to Gateway 3000 from my home computer.

(0016454)
aiaustin (developer)
2010-08-17 08:02
edited on: 2010-08-17 08:19

Diva, what mechanism is used to do the verification check? I.e. where it says:

[USER AGENT SERVICE]: Verifying Client session c73bd6f8-436d-46d9-946d-a287375b757f with token 129.215.219.83

If its "ping" it will not work to many of our machines behind our firewalls as they deliberaly do not allow ping. But we tried a machine open to ping and that also does not verify when teleporting attempts are made to Gateway 3000.

(0016456)
aiaustin (developer)
2010-08-17 08:23
edited on: 2010-08-17 10:13

Noted that a teleport between Openvue and Gateway 3000 and then after about 5 seconds (avatar and the region content was alreday showing fine) a teleport home brings up immediately the "you have been logged off - read IM/chat or quit" box

(0016458)
aiaustin (developer)
2010-08-17 10:12

Same occurs in same way with Hippo 0.6.3 waiting around 10 secods after arriving at Gateway 300 before teleporting home.
(0016459)
Diva (administrator)
2010-08-17 10:19

Make sure your simulator machines have their http port open on the university firewall.
(0016460)
aiaustin (developer)
2010-08-17 11:38
edited on: 2010-08-17 11:40

Do you mean port 8002? We see Robust also starts Http server on port 8003 which ought to be only between OpenSim components - though it is set as default for our connector network port if a specific port is not stated which in most cases in Robust.HG.ini it is. But anyway just now these machines have ports 80, 8080, 8002 and 8003 open as well as sim ports for regions and 20800 for XML-rpc. That was checked with our firewall people just last week.

(0016461)
Diva (administrator)
2010-08-17 11:40
edited on: 2010-08-17 11:40

I mean the TCP simulator machine ports. Probably things like 9000 -- TCP and UDP. On the simulator machines. The simulators talk to the world too, via TCP not just UDP.

(0016462)
aiaustin (developer)
2010-08-17 11:41
edited on: 2010-08-17 11:51

Yes they are all open for both udp and tcp.

Indeed I can check that as each OpenSim.exe also serves things like region map tiles to the web and that works fine

http://vue.ed.ac.uk/openvue/ [^] The map neat the bottom and the webstats links are served from our 3 opensim.exe running machines

(0016463)
aiaustin (developer)
2010-08-17 11:42
edited on: 2010-08-17 11:48

Diva, what mechanism is used to verify a viewer client ip address?

(0016465)
Diva (administrator)
2010-08-17 11:51

xml-rpc on the port of the Gatekeeper -- 8002 on grids, 9000 on standalones.

You seem to be hitting network nasties. I'm pinging 129.215.219.83 and getting no response. This must be a reachable IP address from the outside.

The crux of the IP translation scheme is in OpenSim/Framework/NetworkUtil.cs GetExternalIpOf(IPAddress user). It looks like your robust server (who runs this upon user login) is not detecting the local LAN user.
(0016468)
Diva (administrator)
2010-08-17 12:02

Just to clarify: the client machine doesn't need to respond to pings. But its IP needs to be exactly the same as seen from all gatekeepers everywhere -- inside and outside your network.

So either your network is setup strangely, or that code in that function is not working properly.
(0016473)
aiaustin (developer)
2010-08-17 12:58
edited on: 2010-08-17 14:16

I thought that verification was from UCI network not us Diva?

All our work systems have fixed IP addresses and can be looked up from outside... e.g.

C:\Users\bat>nslookup 129.215.219.83

Name: hyskier.aiai.ed.ac.uk
Address: 129.215.219.83

This was the system that was not being verified when trying a hypergrid jump to Gateway 3000 from Openvue. Its a colleague's desktop that normally works fine for Second Life viewers. But it will be turned off on an evening, and will not repond to ping anyway.

(0016475)
Diva (administrator)
2010-08-17 18:12

There are several layers of verification. One of them involves the IP address of the viewer machine, and that's a really important one. In order for that to work, this IP address must be seen as the same *everywhere*; specifically the robust server for login at your university and the UCI network must see the same IP address of that client machine. So it has to be reported as the external IP address, not the internal one.

The problem is that in some networks -- where you run both the grid and the viewer -- the login server sees the client machine as X (internal), and the rest of the world sees it as Y (external). That will fail client verification.

So there's something funky going on either on your network -- that I'd like to know about -- or on the code that I pointed to. Probably the latter. But without a repro, I'm not sure how I can fix this. With luck, maybe I can run into this by running viewers inside the UCI network and then HG-ing out, but I won't be able to do it until later this week.
(0016476)
Diva (administrator)
2010-08-17 18:28

Indeed, this is what I have in the Gateway 3000 log:

2010-08-16 22:33:25,774 DEBUG - OpenSim.Region.Framework.Scenes.Scene [Scene]: User Client Verification for SP.Pizzicato @virtual.aiai.ed.ac.uk in
Gateway 3000 returned false
2010-08-16 22:33:25,776 DEBUG - OpenSim.Framework.Capabilities.Caps [CAPS]: Unauthorized CAPS client
...
2010-08-16 22:33:36,191 WARN - OpenSim.Region.ClientStack.LindenUDP.LLUDPServer [LLUDPSERVER]: Connection request for client 36ec9c17-0cad-4b63-be1c-7f6297554a33 connecting with unnotified circuit code 1232063053 from 129.215.219.83:60256

The IP address that your login server is seeing is not 129.215.219.83 but something else, probably the internal one, something like 192.168.1.254. (This can be verified in the Robust log).

That code is not acting properly, and I'd like to find out why. Can you tell me what is the internal IP address of your Robust server machine?
(0016477)
aiaustin (developer)
2010-08-18 06:44

We are trying to pin this down more. It is somethig to do with the vierwer verification as you say. But in our environment we do not have 192.xx numbers as we have not local net. The machines just have a single MAC-linked IP number assigned tbat is also what is used and reperted externally.

To simplify testing we have ONE machine running Robust.exe and the regions on one OpenSim.exe on killegray.aiai.ed.ac.uk which is aliased to virtual.aiai.ed.ac.uk and has fixed IP 129.215.219.138

If I rim a viwewer on t5hat SAME machine, I can teleport between Openvue and UCI's Garttaeway 3000 and back fine. But if I move to any other grid at all (e.g. opensim.betatechnologies.com:8002 used in testing) it gices the usual problem at the connecting rto region popint. After that I cannot teleport anywwhere again includign te previously working Gateway 300 until I relog

If have my own desktop on the same subnet in my office called arrran.aiai.ed.ac.uk with IP number 129.215.219.78 aand if I run a viewer (LL 1.23.5) on that I can log on to Openvue but cannot teleport to UCI's Gateway 3000 even.

So at least we have a limited test envirionment to try to pin this down.

I am also now asking betatechnolopgies to upgrade to 13617 as I assume that will then alow me to reach them, as PART of the problem was definitekly fixed by one or other of the patches you made in the last few days... since earlier in the week we could not reach Gateway 3000 ecven on a viewer on the same machiines as our Robust.exe and OpenSim.exe servers.

----------
nslookup virtual.aiai.ed.ac.uk
Name: killegray.aiai.ed.ac.uk
Address: 129.215.219.138
Aliases: virtual.aiai.ed.ac.uk

nslookup carna.aiai.ed.ac.uk
Name: carna.aiai.ed.ac.uk
Address: 129.215.219.78
(0016480)
aiaustin (developer)
2010-08-18 07:02

Here is a login console record from Robust.exe logs for user Ai Austin on carna.aiai.ed.ac.uk (129.215.219.78) to Robust.exe and OpenSim.exe running region "Openvue" both running on virtual.aiai.ed.ac.uk:8002 (129.215.219.138)

------------- initial login from carna.aiai to virtual.aiai --------------

14:53:59 - [LLOGIN SERVICE]: Login request for Ai Austin from 129.215.219.78 wit
h user agent Opensim 1.23.5.136262 starting in last
14:53:59 - [PASS AUTH]: got 4733825f6212bcf1e18221557f2e54d4; hashed = 76681d71e
75cd7a1c9dc1b951456948d; stored = 76681d71e75cd7a1c9dc1b951456948d
14:54:00 - [LLOGIN SERVICE]: 0 active gestures
14:54:00 - [PRESENCE SERVICE]: LoginAgent e24a9015-f5ca-452b-8c95-d32e34cb9d64 w
ith session 8814489f-a7e5-4fa3-8164-32bd1a8c4c61 and ssession 89f03690-3e9c-40d8
-abab-857265fc016e
14:54:00 - [GRID USER SERVICE]: User e24a9015-f5ca-452b-8c95-d32e34cb9d64 is onl
ine
14:54:00 - [LLOGIN SERVICE]: FindDestination for start location last
14:54:00 - [LLOGIN SERVICE]: Launching agent at Openvue
14:54:00 - [USER AGENT SERVICE]: Request to login user Ai Austin to grid virtual
.aiai.ed.ac.uk:8002
14:54:00 - [GATEKEEPER SERVICE]: Request to login foreign agent Ai Austin @ http
://virtual.aiai.ed.ac.uk:8002 (e24a9015-f5ca-452b-8c95-d32e34cb9d64) at destinat
ion Openvue
14:54:00 - [GATEKEEPER SERVICE]: Verifying http://virtual.aiai.ed.ac.uk:8002 [^] aga
inst http://virtual.aiai.ed.ac.uk:8002 [^]
14:54:00 - [USER AGENT SERVICE]: Verifying agent token http://virtual.aiai.ed.ac [^]
.uk:8002;a54ab8c7-21b2-42a8-b3ce-4da8f74284d8 against http://virtual.aiai.ed.ac. [^]
uk:8002;a54ab8c7-21b2-42a8-b3ce-4da8f74284d8
14:54:00 - [GATEKEEPER SERVICE]: Identity verified for Ai Austin @ http://virtua [^]
l.aiai.ed.ac.uk:8002
14:54:00 - [GATEKEEPER SERVICE]: User is ok
14:54:00 - [PRESENCE SERVICE]: LoginAgent e24a9015-f5ca-452b-8c95-d32e34cb9d64 w
ith session 8814489f-a7e5-4fa3-8164-32bd1a8c4c61 and ssession 89f03690-3e9c-40d8
-abab-857265fc016e
14:54:00 - [GATEKEEPER SERVICE]: Login presence ok
14:54:00 - [GATEKEEPER SERVICE]: destination ok: Openvue
14:54:00 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote s
im http://129.215.219.138:9000/agent/e24a9015-f5ca-452b-8c95-d32e34cb9d64/, [^] regi
on Openvue, x=256000 y=256000
14:54:00 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"suc
cess":true}
14:54:00 - [NetworkUtil]: Local LAN user detected, sending '129.215.219.138' ins
tead of '129.215.219.78'
14:54:00 - [USER AGENT SERVICE]: Setting token 129.215.219.138 for session 88144
89f-a7e5-4fa3-8164-32bd1a8c4c61
14:54:00 - [LLOGIN SERVICE]: Retrieved 21 friends
14:54:00 - [LLOGIN]: Library has 19 folders
14:54:00 - [LLOGIN SERVICE]: All clear. Sending login response to client.
14:54:05 - [USER AGENT SERVICE]: Verifying Client session 8814489f-a7e5-4fa3-816
4-32bd1a8c4c61 with token 129.215.219.138
14:54:07 - [USER AGENT SERVICE]: Verifying Client session 8814489f-a7e5-4fa3-816
4-32bd1a8c4c61 with token 129.215.219.138
14:54:08 - [AVATAR SERVICE]: SetAvatar for e24a9015-f5ca-452b-8c95-d32e34cb9d64,
 attachs=6
14:54:08 - [AVATAR SERVICE]: SetAvatar for e24a9015-f5ca-452b-8c95-d32e34cb9d64,
 attachs=6
14:54:09 - [AVATAR SERVICE]: SetAvatar for e24a9015-f5ca-452b-8c95-d32e34cb9d64,
 attachs=6
14:54:09 - [AVATAR SERVICE]: SetAvatar for e24a9015-f5ca-452b-8c95-d32e34cb9d64,
 attachs=6
14:54:09 - [AVATAR SERVICE]: SetAvatar for e24a9015-f5ca-452b-8c95-d32e34cb9d64,
 attachs=6
14:54:09 - [AVATAR SERVICE]: SetAvatar for e24a9015-f5ca-452b-8c95-d32e34cb9d64,
 attachs=6
14:54:10 - [PRESENCE SERVICE]: ReportAgent with session 8814489f-a7e5-4fa3-8164-
32bd1a8c4c61 in region 9c8b6f8f-8178-4a69-92dc-9feba4646e6b
14:54:10 - [GRID SERVICE]: region Openvue has 3 neighours

------------- Now attempt hyperjump to Gateway 3000 which fails --------------

15:00:10 - [USER AGENT SERVICE]: Request to login user Ai Austin to grid ucigrid
00.nacs.uci.edu:8002
15:00:11 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote s
im http://128.200.71.40:8002/foreignagent/e24a9015-f5ca-452b-8c95-d32e34cb9d64/, [^]
 region Gateway 3000, x=768000 y=768000
15:00:12 - [USER AGENT SERVICE]: Verifying agent token http://ucigrid00.nacs.uci [^]
.edu:8002;01750966-6ff3-47ff-bb64-6fc3a97b44fe against http://ucigrid00.nacs.uci [^]
.edu:8002;01750966-6ff3-47ff-bb64-6fc3a97b44fe
15:00:12 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"suc
cess":true}
15:00:13 - [USER AGENT SERVICE]: Verifying Client session 8814489f-a7e5-4fa3-816
4-32bd1a8c4c61 with token 129.215.219.78

at that point in client viewer on carna.aiai is at the "Contacting new region" point and fails with "Could not teleport. Problems connecting to destination."
(0016481)
aiaustin (developer)
2010-08-18 07:06
edited on: 2010-08-18 07:20

One problem identified...

14:54:00 - [NetworkUtil]: Local LAN user detected, sending '129.215.219.138' instead of '129.215.219.78'
14:54:00 - [USER AGENT SERVICE]: Setting token 129.215.219.138 for session 8814489f-a7e5-4fa3-8164-32bd1a8c4c61

You are setting the CLIENT IP to the SERVER IP when you detect the client is on the local network! Thats why it works when we use a viewer on same machine as Robust.exe and not on any other machine on that local network... and why it also works on any machine NOT on that local network.

This diagnosis fits all my observations, and also explains why this began when you altered the code to use a locally identified IP in some cases for verification.

(0016482)
aiaustin (developer)
2010-08-18 07:15

But are there other issues... why is the agent for Ai Austin identified as a "foreign" agent with a HG style agent name when it is locallly loggin in to ots own grid?

14:54:00 - [USER AGENT SERVICE]: Request to login user Ai Austin to grid virtual.aiai.ed.ac.uk:8002
14:54:00 - [GATEKEEPER SERVICE]: Request to login foreign agent Ai Austin @ http://virtual.aiai.ed.ac.uk:8002 [^] (e24a9015-f5ca-452b-8c95-d32e34cb9d64) at destination Openvue
(0016483)
aiaustin (developer)
2010-08-18 07:19

The problem identified above cannot be the only issue... I am still unable to teleport bwteeen Openvue and Gateway 3000 with a viewer client on a University Wifi network that is NOT on our local sub-network - using dynamically assigned IP 129.215.5.254 (verified as what is seen externally using an external IP detection web site)
(0016484)
Diva (administrator)
2010-08-18 07:37
edited on: 2010-08-18 07:46

OK this helps. Let me think about this.

BTW the /foreignagent/ path is correct. In HG, the login service is conceptually independent of the gatekeeper of the grid, so all users coming into a grid are foreign in principle.

(0016485)
Diva (administrator)
2010-08-18 08:12

Basically what's going on there is that at the time of login, the Robust server is detecting local LAN users and setting their important token to its own external IP. However, in the case of your network, these local-LAN client machines happen to be using externally-reachable IP addresses.

This means that the code in that function that tests for local LAN users must be smarter. I need to think a little more about how to fix this without breaking the normal case -- normal case being internal IP addresses of the same LAN (things like 192.168...).
(0016487)
aiaustin (developer)
2010-08-18 12:56
edited on: 2010-08-18 13:05

The test for local LAN user may be the issue as that cannot even be at the level of a check on the same initial 3 elements using a 255.255.255.0 mask. For example I am on a home system on an ISP just now with an external IP number 77.97.225.199. But a number such as 77.97.225.198 may be another use in another home a hundred miles away and could just be also running Opensim one day. If the viewer machine IP is mixed up with the server machine IP it just cannot work.

On many home networks nowadays a range of externally facing systems with IP addresses externally exposed and internal machines not exposed and using only 192.168.x.x style addresses are commmon place especially as "services" become more normal from the use end in collaborative and shared media systems. My home network has 6 computers, 2 of which frequently face externally for agent based services for example.

Earlier today I was using a University Wifi network outside our own department to test HG1.5, assuming that would really be treated as "non-local" but it also failed and seemed to be treated the same as a machine on our specific (virtualised) subnet. And yet the Wifi IP number allocated dynamically and externally accessible only shared the first two elements of the IP i.e. a mask of 255.255.0.0.

(0016489)
aiaustin (developer)
2010-08-18 13:32

Another thought.... what is on a local home network you had a setup with a local grid/opensim server and 2 or more computers running as client viewers, say each member of a family on separate laptops, handhelds and desktops, all entering Opensim, say for a family reunion with others across the globe?

They should not all be mapped to the same IP for the server I assume?
(0016490)
Diva (administrator)
2010-08-18 15:38

This is a form of client verification based on IP address (of the client). The IP address doesn't need to be unique; the different instances (viewers/clients) within the same network are assumed to be trusting of each other. The issue here is *trust*, not identification. Identification is done with session IDs, which are unique.

I hadn't accounted for fixed IP addresses within the same LAN. There are a few ways of addressing this, I'm just reflecting on which one is more robust to the variety of these setups out there.
(0016529)
aiaustin (developer)
2010-08-20 02:05

I am now testing 0.7 post-fixes (opensim-tree-8d5acf9 2010-08-19-13658-0.7.0.1)

This is a log in attempt from my home system on a totally different network to the Openvue one at Univ of Edinburgh. Before with 13617 I was able to move on our own grid and back and forth to UCI Gateway 3000.

I can now move on our own grid, but when an attempt is made to teleport to gateway 3000, wr get the oprevious behavior we saw when we used a client on the LOCAL network. i.e. it starts to connect and bthe hangs at the "Contacting new region." point. Trace from Openvue Robust.exe end is below for original login (then some inventory lines removed) and then the Gateway 3000 jump attempt. Note that the line

     [USER AGENT SERVICE]: Gatekeeper sees me as

has nothing after "sees me as". Later login attempt to UCI Gateway 3000 has

     Ai Austin (@stored IP)

should @stored IP be filled in? The n near failure poin we see

     09:53:43 - [USER AGENT SERVICE]: Comparing with login IP 77.97.225.199 and MyIP

should "myIP be filled in?

-------------------

09:52:40 - [LLOGIN SERVICE]: Login request for Ai Austin from 77.97.225.199 with
 user agent Opensim 1.23.5.136262 starting in last
...
09:52:40 - [USER AGENT SERVICE]: Request to login user Ai Austin (@77.97.225.199
) to grid virtual.aiai.ed.ac.uk:8002
09:52:40 - [GATEKEEPER SERVICE]: Request to login foreign agent Ai Austin @ http
://virtual.aiai.ed.ac.uk:8002 (e24a9015-f5ca-452b-8c95-d32e34cb9d64) at destinat
ion Openvue
09:52:40 - [GATEKEEPER SERVICE]: Verifying http://virtual.aiai.ed.ac.uk:8002 [^] aga
inst http://virtual.aiai.ed.ac.uk:8002 [^]
09:52:40 - [USER AGENT SERVICE]: Verifying agent token http://virtual.aiai.ed.ac [^]
.uk:8002;8c61e3fe-e4df-466e-84db-20b6d22a34c1 against http://virtual.aiai.ed.ac. [^]
uk:8002;8c61e3fe-e4df-466e-84db-20b6d22a34c1
09:52:40 - [GATEKEEPER SERVICE]: Identity verified for Ai Austin @ http://virtua [^]
l.aiai.ed.ac.uk:8002
09:52:40 - [GATEKEEPER SERVICE]: User is ok
09:52:40 - [GATEKEEPER SERVICE]: Login presence ok
09:52:40 - [GATEKEEPER SERVICE]: destination ok: Openvue
09:52:40 - [GATEKEEPER SERVICE]: launching agent ViaLogin
09:52:40 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote s
im http://129.215.219.138:9000/agent/e24a9015-f5ca-452b-8c95-d32e34cb9d64/, [^] regi
on Openvue, x=256000 y=256000
09:52:40 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"suc
cess":true,"your_ip":"129.215.219.138"}
09:52:40 - [USER AGENT SERVICE]: Gatekeeper sees me as
09:52:40 - [LLOGIN SERVICE]: Retrieved 21 friends
09:52:40 - [LLOGIN]: Library has 19 folders
09:52:40 - [LLOGIN SERVICE]: All clear. Sending login response to client.
...
...
09:53:40 - [USER AGENT SERVICE]: Request to login user Ai Austin (@stored IP) to
 grid ucigrid00.nacs.uci.edu:8002
09:53:41 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote s
im http://128.200.71.40:8002/foreignagent/e24a9015-f5ca-452b-8c95-d32e34cb9d64/, [^]
 region Gateway 3000, x=768000 y=768000
09:53:41 - [USER AGENT SERVICE]: Verifying agent token http://ucigrid00.nacs.uci [^]
.edu:8002;57bea085-280b-45f1-80ca-3c21c59c43e0 against http://ucigrid00.nacs.uci [^]
.edu:8002;57bea085-280b-45f1-80ca-3c21c59c43e0
09:53:42 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"suc
cess":true}
09:53:42 - [USER AGENT SERVICE]: Gatekeeper sees me as
09:53:43 - [USER AGENT SERVICE]: Verifying Client session 640e1202-1756-43cd-89d
3-ba48e710a269 with reported IP 77.97.225.199.
09:53:43 - [USER AGENT SERVICE]: Comparing with login IP 77.97.225.199 and MyIP
(0016530)
aiaustin (developer)
2010-08-20 02:18

We have now also tested 13658 with a desktop on the same local network as the machine running Robust.exe and OpernSim..exe all of which have fixed externmally available IP addresses in this case the viewer client is on 129.215.219.83 and Robust.exe an OpenSim.exe in use was on one host with IP 129.215.219.138 (killegray.aiai.ed.ac.uk = virtual.aiai.ed.ac.uk).

This fails identically on a Gateway 3000 teleport attempt at the viewer "Contacting new region." point.

10:08:36 - [LLOGIN SERVICE]: Login request for SP Pizzicato from 129.215.219.83 with user agent Second Life Release 1.23.5.136262 starting in home
10:08:36 - [PASS AUTH]: got b77f7931b006ee9c1fa1e95c3bc0174e; hashed = 45012f3aba24ebeaa63469944e42f390; stored = 45012f3aba24ebeaa63469944e42f390
10:08:36 - [LLOGIN SERVICE]: 0 active gestures
10:08:36 - [PRESENCE SERVICE]: LoginAgent 36ec9c17-0cad-4b63-be1c-7f6297554a33 with session 458868b5-d45b-4131-9d7c-37742603c8b2 and ssession d75ddf49-7c9c-4845-a9be-32c329479a7a
10:08:36 - [GRID USER SERVICE]: User 36ec9c17-0cad-4b63-be1c-7f6297554a33 is online
10:08:36 - [LLOGIN SERVICE]: FindDestination for start location home
10:08:36 - [LLOGIN SERVICE]: Launching agent at Openvue
10:08:36 - [USER AGENT SERVICE]: Request to login user SP Pizzicato (@129.215.219.83) to grid virtual.aiai.ed.ac.uk:8002
10:08:36 - [GATEKEEPER SERVICE]: Request to login foreign agent SP Pizzicato @ http://virtual.aiai.ed.ac.uk:8002 [^] (36ec9c17-0cad-4b63-be1c-7f6297554a33) at destination Openvue
10:08:36 - [GATEKEEPER SERVICE]: Verifying http://virtual.aiai.ed.ac.uk:8002 [^] against http://virtual.aiai.ed.ac.uk:8002 [^]
10:08:36 - [USER AGENT SERVICE]: Verifying agent token http://virtual.aiai.ed.ac.uk:8002;c2d76f86-a191-4d0f-8f10-597c441e1a68 [^] against http://virtual.aiai.ed.ac.uk:8002;c2d76f86-a191-4d0f-8f10-597c441e1a68 [^]
10:08:36 - [GATEKEEPER SERVICE]: Identity verified for SP Pizzicato @ http://virtual.aiai.ed.ac.uk:8002 [^]
10:08:36 - [GATEKEEPER SERVICE]: User is ok
10:08:36 - [GATEKEEPER SERVICE]: Login presence ok
10:08:36 - [GATEKEEPER SERVICE]: destination ok: Openvue
10:08:36 - [GATEKEEPER SERVICE]: launching agent ViaLogin
10:08:36 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote sim http://129.215.219.138:9000/agent/36ec9c17-0cad-4b63-be1c-7f6297554a33/, [^] region Openvue, x=256000 y=256000
10:08:36 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"success":true,"your_ip":"129.215.219.138"}
10:08:36 - [USER AGENT SERVICE]: Gatekeeper sees me as
10:08:36 - [LLOGIN SERVICE]: Retrieved 4 friends
10:08:36 - [LLOGIN]: Library has 19 folders
10:08:36 - [LLOGIN SERVICE]: All clear. Sending login response to client.
10:08:44 - [PRESENCE SERVICE]: ReportAgent with session 458868b5-d45b-4131-9d7c-37742603c8b2 in region 9c8b6f8f-8178-4a69-92dc-9feba4646e6b
10:08:44 - [GRID SERVICE]: region Openvue has 3 neighours
10:09:49 - [USER AGENT SERVICE]: Request to login user SP Pizzicato (@stored IP) to grid ucigrid00.nacs.uci.edu:8002
10:09:50 - [REMOTE SIMULATION CONNECTOR]: Posted CreateAgent request to remote sim http://128.200.71.40:8002/foreignagent/36ec9c17-0cad-4b63-be1c-7f6297554a33/, [^] region Gateway 3000, x=768000 y=768000
10:09:50 - [USER AGENT SERVICE]: Verifying agent token http://ucigrid00.nacs.uci.edu:8002;56b531ad-310b-4766-a64f-bb90b721e2c4 [^] against http://ucigrid00.nacs.uci.edu:8002;56b531ad-310b-4766-a64f-bb90b721e2c4 [^]
10:09:50 - [REMOTE SIMULATION CONNECTOR]: DoCreateChildAgentCall reply was {"success":true}
10:09:50 - [USER AGENT SERVICE]: Gatekeeper sees me as
10:09:52 - [USER AGENT SERVICE]: Verifying Client session 458868b5-d45b-4131-9d7c-37742603c8b2 with reported IP 129.215.219.83.
10:09:52 - [USER AGENT SERVICE]: Comparing with login IP 129.215.219.83 and MyIP
(0016531)
aiaustin (developer)
2010-08-20 02:59
edited on: 2010-08-20 03:19

Note from my home desktop I can teleport fine between Openvue's Vue-5000 region and the inrange and Ellis Islands Shops or German Grid now with our Robust.exe running 13658.

So we tried again this time from Vue-5000 to UCI Gateway 7000 and that worked! But any tests to Gateway 3000 fail from Openvue at 1000,1000 or Vue-5000 at 5000,5000. Maybe that region has a specific issue?

We do though still get the same sorts of message as above with @stored IP and MyIP in the console log diagnositics.

Note I am out of the testing loop now until Tuesday.

(0016532)
Diva (administrator)
2010-08-20 07:13

OK, a considerable rewrite happened. Please test and let me know how it goes. NOTE: at the time you tested, the UCI grid had not been updated. Now it is.

[19:55] <CIA-75> opensim: diva * r1955b797598d /OpenSim/ (8 files in 7 dirs): Partial rewrite of client IP verification. Not completely finished yet, and untested. Committing to move to my other computer.
[19:55] <CIA-75> opensim: diva * ra39ea0715875 /OpenSim/ (4 files in 3 dirs): Finished implementing ViaLogin vs ViaHGLogin. Removed lookup on myipaddress.com. Also removed client IP verification upon UDP connection that had been left there -- we can't do that in general.

[21:35] <CIA-75> opensim: diva 0.7-post-fixes * r05373de9df26 /OpenSim/ (8 files in 7 dirs): Partial rewrite of client IP verification. Not completely finished yet, and untested. Committing to move to my other computer.
[21:35] <CIA-75> opensim: diva 0.7-post-fixes * r1e389438e265 /OpenSim/ (4 files in 3 dirs): Finished implementing ViaLogin vs ViaHGLogin. Removed lookup on myipaddress.com. Also removed client IP verification upon UDP connection that had been left there -- we can't do that in general.
(0016535)
aiaustin (developer)
2010-08-20 09:40
edited on: 2010-08-20 10:32

Openvue updated to r/13662 for tests of Openvue (only Openvue, Sandbox, Vue-5000 and Vue-9000 are regions that are running 13662 for HG1.5 tests for next few days).

Earlier noted problem in upgrade was a missing config-include file which I replaced on closer inspection. Working now.

(0016572)
aiaustin (developer)
2010-08-22 13:45
edited on: 2010-08-22 13:45

Tests to date indicate r/13662 fixes this issue.


- Issue History
Date Modified Username Field Change
2010-08-17 03:59 aiaustin New Issue
2010-08-17 03:59 aiaustin Git Revision => 0.7.0.1 post-fixes
2010-08-17 03:59 aiaustin SVN Revision => 13617
2010-08-17 03:59 aiaustin Run Mode => Grid (Multiple Regions per Sim)
2010-08-17 03:59 aiaustin Physics Engine => ODE
2010-08-17 03:59 aiaustin Environment => .NET / Windows32
2010-08-17 03:59 aiaustin Mono Version => None
2010-08-17 04:06 aiaustin Description Updated
2010-08-17 04:06 aiaustin Additional Information Updated
2010-08-17 04:27 aiaustin Description Updated
2010-08-17 04:27 aiaustin Additional Information Updated
2010-08-17 04:28 aiaustin Description Updated
2010-08-17 04:38 aiaustin Note Added: 0016451
2010-08-17 04:39 aiaustin Additional Information Updated
2010-08-17 04:44 aiaustin Description Updated
2010-08-17 04:47 aiaustin Note Added: 0016452
2010-08-17 05:07 aiaustin Note Edited: 0016451
2010-08-17 07:50 aiaustin Note Added: 0016453
2010-08-17 07:50 aiaustin Note Edited: 0016453
2010-08-17 07:51 aiaustin Note Edited: 0016453
2010-08-17 08:02 aiaustin Note Added: 0016454
2010-08-17 08:19 aiaustin Note Edited: 0016454
2010-08-17 08:23 aiaustin Note Added: 0016456
2010-08-17 08:23 aiaustin Note Edited: 0016456
2010-08-17 08:24 aiaustin Note Edited: 0016456
2010-08-17 10:12 aiaustin Note Added: 0016458
2010-08-17 10:13 aiaustin Note Edited: 0016456
2010-08-17 10:13 aiaustin Note Edited: 0016456
2010-08-17 10:13 aiaustin Note Edited: 0016456
2010-08-17 10:19 Diva Note Added: 0016459
2010-08-17 11:38 aiaustin Note Added: 0016460
2010-08-17 11:40 Diva Note Added: 0016461
2010-08-17 11:40 Diva Note Edited: 0016461
2010-08-17 11:40 aiaustin Note Edited: 0016460
2010-08-17 11:41 aiaustin Note Added: 0016462
2010-08-17 11:42 aiaustin Note Added: 0016463
2010-08-17 11:42 aiaustin Note Edited: 0016463
2010-08-17 11:48 aiaustin Note Edited: 0016463
2010-08-17 11:48 aiaustin Note Edited: 0016463
2010-08-17 11:48 aiaustin Note Edited: 0016462
2010-08-17 11:51 aiaustin Note Edited: 0016462
2010-08-17 11:51 Diva Note Added: 0016465
2010-08-17 12:02 Diva Note Added: 0016468
2010-08-17 12:58 aiaustin Note Added: 0016473
2010-08-17 12:59 aiaustin Note Edited: 0016473
2010-08-17 13:00 aiaustin Note Edited: 0016473
2010-08-17 13:01 aiaustin Note Edited: 0016473
2010-08-17 13:05 aiaustin Note Edited: 0016473
2010-08-17 13:05 aiaustin Note Edited: 0016473
2010-08-17 14:16 aiaustin Note Edited: 0016473
2010-08-17 18:12 Diva Note Added: 0016475
2010-08-17 18:28 Diva Note Added: 0016476
2010-08-17 18:30 Diva Relationship added related to 0004943
2010-08-18 06:44 aiaustin Note Added: 0016477
2010-08-18 06:53 aiaustin Note Added: 0016479
2010-08-18 07:02 aiaustin Note Added: 0016480
2010-08-18 07:06 aiaustin Note Added: 0016481
2010-08-18 07:06 aiaustin Note Edited: 0016481
2010-08-18 07:06 aiaustin Note Edited: 0016481
2010-08-18 07:07 aiaustin Note Edited: 0016479
2010-08-18 07:11 aiaustin Note Edited: 0016481
2010-08-18 07:11 aiaustin Note Deleted: 0016479
2010-08-18 07:15 aiaustin Note Added: 0016482
2010-08-18 07:19 aiaustin Note Added: 0016483
2010-08-18 07:20 aiaustin Note Edited: 0016481
2010-08-18 07:37 Diva Note Added: 0016484
2010-08-18 07:46 Diva Note Edited: 0016484
2010-08-18 08:12 Diva Note Added: 0016485
2010-08-18 12:56 aiaustin Note Added: 0016487
2010-08-18 12:57 aiaustin Note Edited: 0016487
2010-08-18 13:03 aiaustin Note Edited: 0016487
2010-08-18 13:05 aiaustin Note Edited: 0016487
2010-08-18 13:32 aiaustin Note Added: 0016489
2010-08-18 15:38 Diva Note Added: 0016490
2010-08-20 02:05 aiaustin Note Added: 0016529
2010-08-20 02:18 aiaustin Note Added: 0016530
2010-08-20 02:59 aiaustin Note Added: 0016531
2010-08-20 03:10 aiaustin Note Edited: 0016531
2010-08-20 03:11 aiaustin Note Edited: 0016531
2010-08-20 03:19 aiaustin Note Edited: 0016531
2010-08-20 07:13 Diva Note Added: 0016532
2010-08-20 09:40 aiaustin Note Added: 0016535
2010-08-20 09:41 aiaustin Note Edited: 0016535
2010-08-20 09:45 aiaustin Note Edited: 0016535
2010-08-20 09:47 aiaustin Note Edited: 0016535
2010-08-20 09:49 aiaustin Note Edited: 0016535
2010-08-20 10:32 aiaustin Note Edited: 0016535
2010-08-22 13:45 aiaustin Note Added: 0016572
2010-08-22 13:45 aiaustin Note Edited: 0016572


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker